<?php
/*
  $Id: admin.start.php,v 1.21 2007/10/15 22:52:04 devosc Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  if(!defined('ABX_ADMINISTRATOR')) {
    exit();
  }

  require_once DIR_FS_AUCTIONBLOX.'includes/configure.php';
  require_once DIR_FS_ABX_INCLUDES.'database_tables.php';
  require_once DIR_FS_ABX_INCLUDES.'filenames.php';
  require_once DIR_FS_ABX_FUNCTIONS.'bootstrap.php';
  require_once DIR_FS_ABX_FUNCTIONS.'languages.php';
  require_once DIR_FS_ABX_FUNCTIONS.'formatter.php';
  require_once DIR_FS_ABX_FUNCTIONS.'abx_currencies.php';
  require_once DIR_FS_ABX_INCLUDES.'php.start.php';
  require_once DIR_FS_ABX_INCLUDES.'images.php';
  require_once DIR_FS_ABX_CLASSES.'abxArray.php';
  require_once DIR_FS_ABX_CLASSES.'abxConstants.php';

  //MMD - use the regular OSC currencies class
  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  require_once DIR_FS_ABX_CLASSES.'abxModule.php';
  require_once DIR_FS_ABX_CLASSES.'Page/abxPage.php';
  require_once DIR_FS_ABX_CLASSES.'API/abxAPI.php';
  require_once DIR_FS_ABX_OSCOMMERCE.'includes/functions/integration.php';

  abx_includeLanguageFile(DIR_FS_ABX_INCLUDES,'',$language);

  require_once DIR_FS_ABX_CLASSES.'abxMessageStack.php';
  abxMessageStack::loadFromSession();

  require_once DIR_FS_ABX_CLASSES.'abxDatabase.php';

  $abxDatabase = &abxDatabase::connect(ABX_DB_SERVER, ABX_DB_USERNAME, ABX_DB_PASSWORD);
  $abxDatabase->selectDatabase(ABX_DB_DATABASE);

  //Enable AuctionBlox menu
  $_SESSION['selected_box'] = 'auctionblox';

  //Check installation
  if (!isset($_SESSION['abxConfig']['installed'])) {

    $Qinstallation = $abxDatabase->fetch_row("show tables like '".TABLE_ABX_CONFIGURATION."'");

    if(!$Qinstallation) {

      $abx = array('install');

      $abxPage = abxModule::adminPage('install');

      require_once( $abxPage->display() );

      exit;

    } else {

      $_SESSION['abxConfig']['installed'] = true;

    }

  }

  if (!isset($_SESSION['abxConfig']['uptodate'])) {
    $abxVersion = $abxDatabase->fetch_value('configuration_value', TABLE_ABX_CONFIGURATION, "configuration_key='AUCTIONBLOX_VERSION'");
    if (empty($abxVersion) || version_compare($abxVersion, AUCTIONBLOX_VERSION) < 0) {
      require_once(DIR_FS_ABX_CLASSES.'abxConfiguration.php');
      if (abxConfiguration::upgrade($abxVersion)) {
        $_SESSION['abxConfig']['uptodate'] = true;
      }
    } else {
      $_SESSION['abxConfig']['uptodate'] = true;
    }
  }

  $Qconfig = &$abxDatabase->query('select configuration_key as cfgKey, configuration_value as cfgValue from '.TABLE_ABX_CONFIGURATION);
  while($Qconfig->next())
    @define($Qconfig->value('cfgKey'),$Qconfig->value('cfgValue'));

  $Qconfig->freeResult(); unset($Qconfig);

  if ($_GET['abx'] === 'fsock') {
    $aURL = parse_url(ABX_API_URL);
    var_dump(ABX_API_URL, $aURL);
    $rHandle = fsockopen($aURL['host'], 80, $nErr, $sErr);
    if (!$rHandle) {
      var_dump($nErr, $sErr);
    }
    var_dump($rHandle);
    exit;
  } elseif ($_GET['abx'] != 'jscookmenu') {
    if (!isset($_SESSION['abxConfig']['account'])
          && !in_array($_GET['abx'], array('configure-general','configure-general-edit')))  {
      require_once(DIR_FS_ABX_CLASSES.'abxAccount.php');
      if (!abxAccount::configure()) {
        $messageStack->add_session('Please configure your AuctionBlox account details', 'error');
        abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX, '&abx=configure-general'));
      } else {
        $_SESSION['abxConfig']['account'] = true;
      }
    }

    if (isset($_SESSION['abxConfig']['account'])
          && !isset($_SESSION['abxConfig']['profiles'])
            && !in_array($_GET['abx'], array('profiles','profiles-download', 'profiles-new')))  {
      if (!count(abxConstants::getProfilesDropDown())) {
        $messageStack->add_session('Please create an AuctionBlox profile', 'error');
        abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX, '&abx=profiles'));
      } else {
        $_SESSION['abxConfig']['profiles'] = true;
      }
    }
  }
?>