<?php
/*
  $Id: abxMacros.php,v 1.12 2007/03/08 00:17:17 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  class abxProductExtraInfo {
    
    function save(&$postvars)
    {
      global $abxDatabase;

//      foreach($postvars['abxList'] as $key => $products_id) {

      $values = array();
      foreach($postvars as $key => $value) 
      {
        $parts = explode('-', $key);
        if(sizeof($parts) == 2)
        {
        	$id = $parts[1];
          $macro = $parts[0];
          $values[$id][$macro] = $value;
        }
      }

      //var_dump($values); exit;
      
      // Now we have composed all of the data into arrays
      if(sizeof($values) > 0)
      {
        $product_ids = array_keys($values);
        foreach($product_ids as $unused => $product_id)
        {
          // since checkboxes are not sent when they are off, we have to explicitly name them
          $values[$product_id]['exclude_auction'] = $postvars['exclude_auction-' . $product_id];
          $values[$product_id]['exclude_fixed'] = $postvars['exclude_fixed-' . $product_id];
          $values[$product_id]['exclude_store'] = $postvars['exclude_store-' . $product_id];
            
          $id = &$abxDatabase->fetch_value('products_id', TABLE_ABX_PRODUCTS_EXTRA_INFO, 'products_id = ' . (int)$product_id . ' limit 1');

          if (empty($id) === false) {
            $abxDatabase->update(TABLE_ABX_PRODUCTS_EXTRA_INFO, $values[$product_id], 'products_id = ' . (int)$product_id);
          } 
          else 
          {
            $values[$product_id]['products_id'] = $product_id;
            $abxDatabase->insert(TABLE_ABX_PRODUCTS_EXTRA_INFO, $values[$product_id]);
          }
        }
      }
    }

    function remove(&$abxList)
    {
      global $abxDatabase;
      return $abxDatabase->delete(TABLE_ABX_PRODUCTS_EXTRA_INFO, 'products_id in (' . implode(',', $abxList) . ')');
    }

    function query($filter)
    {
      global $languages_id, $abxDatabase;

      $inclause = '';

      if (isset($filter) && strlen($filter) > 0) {

        $productsQuery = $abxDatabase->query("select products_id from (" . TABLE_PRODUCTS_TO_CATEGORIES . " p) left join " . TABLE_CATEGORIES_DESCRIPTION . " cd using (categories_id) where cd.categories_id = ".(int)$filter." and cd.language_id = " . (int)$languages_id);

        while($productsQuery->next())
          $inarray[] = $productsQuery->value('products_id');

        if (isset($inarray) === true) {

          $inclause = ' pd.products_id in (' . implode(',',$inarray) . ') and';

        } else {

          // basically return no products
          $inclause = ' pd.products_id in (0) and';

        }
      }

      return "select SQL_CALC_FOUND_ROWS p.products_last_modified, p.products_image, pd.products_id as id, pd.products_name, pei.* from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd LEFT JOIN " . TABLE_ABX_PRODUCTS_EXTRA_INFO . " pei on (pd.products_id = pei.products_id) WHERE $inclause p.products_id=pd.products_id AND pd.language_id = " . (int)$languages_id;
    }

    function queryById($id)
    {
      global $abxDatabase;
      return $abxDatabase->fetch_row("select * from " . TABLE_ABX_PRODUCTS_EXTRA_INFO . " where products_id = " . (int)$id);
    }
}//end class
?>