<?php
/*

Autoload eCommerce Shopping Cart Script Installation Modified January, 2012

  Copyright (c) 20012 Autoload

  Released under the GNU General Public License
  
  ---
  Autoload is based on the osCommerce engine:
  
    Copyright (c) 2003-2008+ osCommerce

  Released under the GNU General Public License
  
  http://www.oscommerce.com  osCommerce, Open Source E-Commerce Solutions

*/
?>

<?PHP









        $db = array('DB_SERVER' => trim($HTTP_POST_VARS['DB_SERVER']),
                    'DB_SERVER_USERNAME' => trim($HTTP_POST_VARS['DB_SERVER_USERNAME']),
                    'DB_SERVER_PASSWORD' => trim($HTTP_POST_VARS['DB_SERVER_PASSWORD']),
                    'DB_DATABASE' => trim($HTTP_POST_VARS['DB_DATABASE'])
					
					);


        $db_error = false;
        autoload_db_connect($db['DB_SERVER'], $db['DB_SERVER_USERNAME'], $db['DB_SERVER_PASSWORD']);

        if ($db_error == false) {
          if (!@autoload_db_select_db($db['DB_DATABASE'])) {
            $db_error = mysql_error();
          }
        }

        if ($db_error != false) {
		
echo '<div class="contentBlock">
		   <div class="infoPanel">
    <h3>Database Results: Failed!</h3>

    <div class="informationpanelcontent">
 
   <table>
<tr>
          <td><p>Database Check Failed.</p>
	  <p>MySQL Returned the following error:</p>' . $db_error . '</td>
          <td align="right" valign="top"><p><img src="images/cross.gif" border="0" width="16" height="16"></p></td>
        </tr>
</table>
</div>
</div>

<div class="contentBlock">
<div class="contentPanel">
    <h2>Failure to connect to the database</h2>

<p>Autoload was unable to connect to a database named &#8220;' . trim($HTTP_POST_VARS['DB_DATABASE']) . '&#8221; on server &#8220;' . trim($HTTP_POST_VARS['DB_SERVER']) . '&#8221; as user &#8220;' . trim($HTTP_POST_VARS['DB_SERVER_USERNAME']) . '&#8221;.  Please check your database connection parameters and try again.


<div id="pageFooter">
  <a href="http://www.autoload.org" target="_blank">Autoload eCommerce Shopping Cart Script</a>, copyright &copy; 2003-2012 is based on the osCommerce engine, copyright &copy; 2000-2012 <a href="http://www.oscommerce.com" target="_blank">osCommerce</a> (<a href="http://www.oscommerce.com/about/copyright" target="_blank">Copyright Policy</a>, <a href="http://www.oscommerce.com/about/trademark" target="_blank">Trademark Policy</a>)<br />
  Neither Autoload eCommerce Shopping Cart Script nor osCommerce provide any warranty and both are redistributable under the <a href="http://www.fsf.org/licenses/gpl.txt" target="_blank">GNU General Public License</a>
</div>';

  exit;
         
        } else {
  
		echo '  
		  <div class="contentBlock">
		   <div class="infoPanel">
    <h3>Database Results: Success!</h3>

    <div class="informationpanelcontent">
 
   <table width="100%">
		 
      <tr>
          <td><p>Database Connected Successfully.  </p></td>
          <td align="right"><p><img src="images/tick.gif" border="0" width="16" height="16"></p></td>
        </tr>
 
  ';
  
        }

$db_error = false;








        $sql_file = trim($HTTP_POST_VARS['DIR_FS_DOCUMENT_ROOT']) . 'install/autoload.sql';

        autoload_set_time_limit(0);
        autoload_db_install($db['DB_DATABASE'], $sql_file);
        if ($db_error != false) {
		
		echo '
		
      <tr>
          <td><p>Database Import Failed.</p>
	  <p>MySQL Returned the following error:</p>' . $db_error . '</td>
          <td align="right" valign="top"><p><img src="images/cross.gif" border="0" width="16" height="16"></p></td>
        </tr></table>
    </div>
</div>
 
 <div class="contentBlock">
<div class="contentPanel">
    <h2>Failure to import the .sql file into the database</h2>

<p>Autoload was able to connect to a database named &#8220;' . trim($HTTP_POST_VARS['DB_DATABASE']) . '&#8221; on server &#8220;' . trim($HTTP_POST_VARS['DB_SERVER']) . '&#8221; as user &#8220;' . trim($HTTP_POST_VARS['DB_SERVER_USERNAME']) . ',&#8221; but was unable to properly import the .sql file.  Please check your php and mysql server configurations and try again.


<div id="pageFooter">
  <a href="http://www.autoload.org" target="_blank">Autoload eCommerce Shopping Cart Script</a>, copyright &copy; 2003-2012 is based on the osCommerce engine, copyright &copy; 2000-2012 <a href="http://www.oscommerce.com" target="_blank">osCommerce</a> (<a href="http://www.oscommerce.com/about/copyright" target="_blank">Copyright Policy</a>, <a href="http://www.oscommerce.com/about/trademark" target="_blank">Trademark Policy</a>)<br />
  Neither Autoload eCommerce Shopping Cart Script nor osCommerce provide any warranty and both are redistributable under the <a href="http://www.fsf.org/licenses/gpl.txt" target="_blank">GNU General Public License</a>
</div>

  ';
		
break;
exit;
	
        } else {
          		echo 
				'<tr>
				 <td><p>Database Import was Successful.  </p></td>
          <td align="right"><p><img src="images/tick.gif" border="0" width="16" height="16"></p></td>
        </tr>
  ';
  
		 require('../includes/database_tables.php');

autoload_set_time_limit(0);

  autoload_db_query('update ' . TABLE_CONFIGURATION . ' set configuration_value = "' . trim($HTTP_POST_VARS['CFG_STORE_NAME']) . '" where configuration_key = "STORE_NAME"');
  autoload_db_query('update ' . TABLE_CONFIGURATION . ' set configuration_value = "' . trim($HTTP_POST_VARS['CFG_STORE_OWNER_NAME']) . '" where configuration_key = "STORE_OWNER"');
  autoload_db_query('update ' . TABLE_CONFIGURATION . ' set configuration_value = "' . trim($HTTP_POST_VARS['CFG_STORE_OWNER_EMAIL_ADDRESS']) . '" where configuration_key = "STORE_OWNER_EMAIL_ADDRESS"');

  if (!empty($HTTP_POST_VARS['CFG_STORE_OWNER_NAME']) && !empty($HTTP_POST_VARS['CFG_STORE_OWNER_EMAIL_ADDRESS'])) {
    autoload_db_query('update ' . TABLE_CONFIGURATION . ' set configuration_value = "\"' . trim($HTTP_POST_VARS['CFG_STORE_OWNER_NAME']) . '\" <' . trim($HTTP_POST_VARS['CFG_STORE_OWNER_EMAIL_ADDRESS']) . '>" where configuration_key = "EMAIL_FROM"');
  }

  $check_query = autoload_db_query('select admin_firstname from ' . TABLE_ADMIN . ' where admin_firstname = "' . trim($HTTP_POST_VARS['CFG_ADMINISTRATOR_USERNAME_FIRST']) . '"');



  if (autoload_db_num_rows($check_query)) {

    autoload_db_query('update ' . TABLE_ADMIN . ' set admin_password = "' . autoload_encrypt_string(trim($HTTP_POST_VARS['CFG_ADMINISTRATOR_PASSWORD'])) . '" where admin_firstname = "' . trim($HTTP_POST_VARS['CFG_ADMINISTRATOR_USERNAME_FIRST']) . '"');
 } else {  
	

	
	autoload_db_query('insert into ' . TABLE_ADMIN . ' (admin_id, admin_groups_id, admin_firstname, admin_lastname, admin_email_address, admin_password, admin_created, admin_cat_access, admin_right_access) values ("' . '1' . '", "' . '1' . '","' . trim($HTTP_POST_VARS['CFG_ADMINISTRATOR_USERNAME_FIRST']) . '","' . trim($HTTP_POST_VARS['CFG_ADMINISTRATOR_USERNAME_LAST']) . '","' . trim($HTTP_POST_VARS['CFG_CONTROL_PANEL_EMAIL_ADDRESS']) . '", "' . autoload_encrypt_string(trim($HTTP_POST_VARS['CFG_ADMINISTRATOR_PASSWORD'])) . '", "' . 'now()' . '", "' . 'ALL' . '", "' . 'ALL' . '")');
}
		  
if ($db_error != false) {
	  
		  			echo '  
		 <tr>
          <td><p>Database Update Failed.</p>
	  <p>MySQL Returned the following error:</p>' . $db_error . '</td>
          <td align="right" valign="top"><p><img src="images/cross.gif" border="0" width="16" height="16"></p></td>
        </tr>
		</table>
    </div>
</div>

 <div class="contentBlock">
<div class="contentPanel">
    <h2>Failure to update the imported database</h2>

<p>Autoload was able to connect to but unable to update the existing database, &#8220;' . trim($HTTP_POST_VARS['DB_DATABASE']) . '&#8221; on server &#8220;' . trim($HTTP_POST_VARS['DB_SERVER']) . '&#8221; as user &#8220;' . trim($HTTP_POST_VARS['DB_SERVER_USERNAME']) . '&#8221;.  Please check your php and mysql configurations and try again.<P>

<div id="pageFooter">
  <P><a href="http://www.autoload.org" target="_blank">Autoload eCommerce Shopping Cart Script</a>, copyright &copy; 2003-2012 is based on the osCommerce engine, copyright &copy; 2000-2012 <a href="http://www.oscommerce.com" target="_blank">osCommerce</a> (<a href="http://www.oscommerce.com/about/copyright" target="_blank">Copyright Policy</a>, <a href="http://www.oscommerce.com/about/trademark" target="_blank">Trademark Policy</a>)<br />
  Neither Autoload eCommerce Shopping Cart Script nor osCommerce provide any warranty and both are redistributable under the <a href="http://www.fsf.org/licenses/gpl.txt" target="_blank">GNU General Public License</a><</P>/div>';
		  
  break;
  exit;  
		  
        } else {
         
		 			echo '  
		  <tr>
          <td><p>Database Update Succeeded.  </p></td>
          <td align="right"><p><img src="images/tick.gif" border="0" width="16" height="16"></p></td>
        </tr>
		
	</table>
 
 </div>
</div>	
		';
		
		
		




		
		




		
		
		






		  }
  
       }

?>

<div class="contentBlock">
  
  <div class="contentPanel">
    <h2>Post Installation Report</h2>



<?PHP



  
  

  $dir_fs_document_root = $HTTP_POST_VARS['DIR_FS_DOCUMENT_ROOT'];
  if ((substr($dir_fs_document_root, -1) != '\\') && (substr($dir_fs_document_root, -1) != '/')) {
    if (strrpos($dir_fs_document_root, '\\') !== false) {
      $dir_fs_document_root .= '\\';
    } else {
      $dir_fs_document_root .= '/';
    }
  }

  $http_url = parse_url($HTTP_POST_VARS['HTTP_WWW_ADDRESS']);
  $http_server = $http_url['scheme'] . '://' . $http_url['host'];
  $http_catalog = $http_url['path'];
  if (isset($http_url['port']) && !empty($http_url['port'])) {
    $http_server .= ':' . $http_url['port'];
  }

  if (substr($http_catalog, -1) != '/') {
    $http_catalog .= '/';
  }

// vyoufinder chmod to 0777 via ftp begin 
// vyoufinder chmod to 0777 via ftp begin 

$ftp_server=trim($HTTP_POST_VARS['FTP_SERVER']);

$ftp_user_name=trim($HTTP_POST_VARS['FTP_USER']);
$ftp_user_pass=trim($HTTP_POST_VARS['FTP_PASS']);




   
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
if (!$ftp_server) {

echo '<TR>
		<TD><p><font color="#EF0303"><strong>Warning:</strong> </font>
   No ftp server given.  Installation will be unable to set correct file permissions automatically without an ftp server.';
   }
   
  
  
  if (!$ftp_user_name) {

echo '<TR>
		<TD><p><font color="#EF0303"><strong>Warning:</strong> </font>
   No ftp username given.  Installation will be unable to set correct file permissions automatically without the correct ftp login username.';
   } 
   
   if (!$ftp_user_pass) {

echo '<TR>
		<TD><p><font color="#EF0303"><strong>Warning:</strong> </font>
   No ftp password given.  Installation will be unable to set correct file permissions automatically without the correct ftp password.';
   }
   
   
   

   
if (!trim($HTTP_POST_VARS['CFG_CONTROL_PANEL_EMAIL_ADDRESS'])) {

echo '<TR>
		<TD><p><font color="#EF0303"><strong>Warning:</strong> </font>
   No Administrator E-Mail Address for Control Panel given.  You will be unable to login to your control panel unless you provide an email address to login with.';
   }
   
   
   
   

  
  
  
  if(!filter_var(trim($HTTP_POST_VARS['CFG_CONTROL_PANEL_EMAIL_ADDRESS']), FILTER_VALIDATE_EMAIL))
{
 echo "<P><font color=\"#EF0303\"><strong>Warning: </font></strong>Invalid Administrator E-Mail Address for Control Panel entered.  Without a valid email address entered you will be unable to access the control panel.  You might want to go back and enter a valid email address to use when logging in to your control panel.  Otherwise you can login using the email address entered, " . $admin_email_address . "</P>";
}
  
  
  
    if (!(trim($HTTP_POST_VARS['CFG_ADMINISTRATOR_PASSWORD']))) {

echo '<TR>
		<TD><p><font color="#EF0303"><strong>Warning:</strong> </font>
   No Administrator Password given for control panel.  If you do not enter an Administrator Password on the previous page, your control panel will not use a password.  You should probably go back and correct this from the previous page.';
   }
 
   
   

$file = $dir_fs_document_root . 'includes/configure.php';
$adminfile = $dir_fs_document_root . 'admin/includes/configure.php';
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// try to chmod $file to 0777

  echo '
 <p>The database, &#8220;' . ($HTTP_POST_VARS['DB_DATABASE']). '&#8221; was first imported to, then updated with the information you provided.</p>
	    ';


/* vyoufinder check if able to write to files begin */



// catalog side
$filename = ($file);
if (is_writable($filename)) {
   echo '<p>The file, &#8220;' . $file .'&#8221; was written to successfully.</p>';
	
	
	
} else {
    echo '<p>' . $file .' <i>not</i> writable.  Attempting to make writable via ftp...</p>';
		
	
	 if (ftp_chmod($conn_id, 0777, $file) !== false) {

 	  echo "<P><font color=\"#000099\"><strong>Success: </strong></font>";
 echo "$file was made writable and was written to via ftp.</P>";
} else {
 echo "<P><font color=\"#EF0303\"><strong>Warning:</font>
   </strong> Could <i>not</i> write to, nor set permissions to 777 for writing on: $file</P>";
   
   echo "<P><font color=\"#EF0303\"><strong>Catalog configuration file not written to.</font>
   </strong></P>";
 }
}

// admin side
$adminfilename = ($adminfile);
if (is_writable($adminfilename)) {
    echo '<p>The file, &#8220;' . $adminfile .'&#8221; was written to successfully.</p>';
} else {
    echo '<p>' . $adminfile .' <i>not</i> writable.  Attempting to make writable via ftp...</p>';
	
		
	
	 if (ftp_chmod($conn_id, 0777, $adminfile) !== false) {
	 
	 
	 	  echo "<P><font color=\"#000099\"><strong>Success: </strong></font>

";
 echo "$adminfile was made writable and was written to via ftp.</p>";
} else {
echo "<p><font color=\"#EF0303\"><strong>Warning:</font>
   </strong> Could <i>not</i> write to, nor set permissions to 777 for writing on: $adminfile</p>";
   
   echo "<p><font color=\"#EF0303\"><strong>Admin configuration file not written to.</font>
   </strong></p>";
   
}

 if (ftp_chmod($conn_id, 0777, $adminfile) !== false) {

} else {
 
 echo "<P><font color=\"#000099\"><strong>Solution: </strong></font><font color=\"#000000\">Check your ftp server and login information and try again or you can choose to set permissions on the above listed files to be 777 or read, read, read access using an ftp client's chmod function or other file management tool.</font></P>

";
 
 }
}  
  
/* vyoufinder check if able to write to files finished */
// close the connection
ftp_close($conn_id);

// vyoufinder chmod to 0777 via ftp finished

  $file_contents = '<?php' . "\n" .
                   '  define(\'HTTP_SERVER\', \'' . $http_server . '\');' . "\n" .
                   '  define(\'HTTPS_SERVER\', \'' . $http_server . '\');' . "\n" .
                   '  define(\'ENABLE_SSL\', false);' . "\n" .
                   '  define(\'HTTP_COOKIE_DOMAIN\', \'' . $http_url['host'] . '\');' . "\n" .
                   '  define(\'HTTPS_COOKIE_DOMAIN\', \'' . $http_url['host'] . '\');' . "\n" .
                   '  define(\'HTTP_COOKIE_PATH\', \'' . $http_catalog . '\');' . "\n" .
                   '  define(\'HTTPS_COOKIE_PATH\', \'' . $http_catalog . '\');' . "\n" .
                   '  define(\'DIR_WS_HTTP_CATALOG\', \'' . $http_catalog . '\');' . "\n" .
                   '  define(\'DIR_WS_HTTPS_CATALOG\', \'' . $http_catalog . '\');' . "\n" .
                   '  define(\'DIR_WS_IMAGES\', \'images/\');' . "\n" .
                   '  define(\'DIR_WS_ICONS\', DIR_WS_IMAGES . \'icons/\');' . "\n" .
                   '  define(\'DIR_WS_INCLUDES\', \'includes/\');' . "\n" .
                   '  define(\'DIR_WS_BOXES\', DIR_WS_INCLUDES . \'boxes/\');' . "\n" .
                   '  define(\'DIR_WS_FUNCTIONS\', DIR_WS_INCLUDES . \'functions/\');' . "\n" .
                   '  define(\'DIR_WS_CLASSES\', DIR_WS_INCLUDES . \'classes/\');' . "\n" .
                   '  define(\'DIR_WS_MODULES\', DIR_WS_INCLUDES . \'modules/\');' . "\n" .
                   '  define(\'DIR_WS_LANGUAGES\', DIR_WS_INCLUDES . \'languages/\');' . "\n\n" .
                   '  define(\'DIR_WS_DOWNLOAD_PUBLIC\', \'pub/\');' . "\n" .
                   '  define(\'DIR_FS_CATALOG\', \'' . $dir_fs_document_root . '\');' . "\n" .
                   '  define(\'DIR_FS_DOWNLOAD\', DIR_FS_CATALOG . \'download/\');' . "\n" .
                   '  define(\'DIR_FS_DOWNLOAD_PUBLIC\', DIR_FS_CATALOG . \'pub/\');' . "\n\n" .
                   '  define(\'DB_SERVER\', \'' . trim($HTTP_POST_VARS['DB_SERVER']) . '\');' . "\n" .
                   '  define(\'DB_SERVER_USERNAME\', \'' . trim($HTTP_POST_VARS['DB_SERVER_USERNAME']) . '\');' . "\n" .
                   '  define(\'DB_SERVER_PASSWORD\', \'' . trim($HTTP_POST_VARS['DB_SERVER_PASSWORD']) . '\');' . "\n" .
                   '  define(\'DB_DATABASE\', \'' . trim($HTTP_POST_VARS['DB_DATABASE']) . '\');' . "\n" .
                   '  define(\'USE_PCONNECT\', \'false\');' . "\n" .
                   '  define(\'STORE_SESSIONS\', \'mysql\');' . "\n" .
                   '?>';

  $fp = fopen($dir_fs_document_root . 'includes/configure.php', 'w');
  fputs($fp, $file_contents);

  fclose($fp);

  $file_contents = '<?php' . "\n" .
                   '  define(\'HTTP_SERVER\', \'' . $http_server . '\');' . "\n" .
                   '  define(\'HTTP_CATALOG_SERVER\', \'' . $http_server . '\');' . "\n" .
                   '  define(\'HTTPS_CATALOG_SERVER\', \'' . $http_server . '\');' . "\n" .
                   '  define(\'ENABLE_SSL_CATALOG\', \'false\');' . "\n" .
                   '  define(\'DIR_FS_DOCUMENT_ROOT\', \'' . $dir_fs_document_root . '\');' . "\n" .
                   '  define(\'DIR_WS_ADMIN\', \'' . $http_catalog . 'admin/\');' . "\n" .
                   '  define(\'DIR_FS_ADMIN\', \'' . $dir_fs_document_root . 'admin/\');' . "\n" .
                   '  define(\'DIR_WS_CATALOG\', \'' . $http_catalog . '\');' . "\n" .
                   '  define(\'DIR_FS_CATALOG\', \'' . $dir_fs_document_root . '\');' . "\n" .
                   '  define(\'DIR_WS_IMAGES\', \'images/\');' . "\n" .
                   '  define(\'DIR_WS_ICONS\', DIR_WS_IMAGES . \'icons/\');' . "\n" .
                   '  define(\'DIR_WS_CATALOG_IMAGES\', DIR_WS_CATALOG . \'images/\');' . "\n" .
                   '  define(\'DIR_WS_INCLUDES\', \'includes/\');' . "\n" .
                   '  define(\'DIR_WS_BOXES\', DIR_WS_INCLUDES . \'boxes/\');' . "\n" .
                   '  define(\'DIR_WS_FUNCTIONS\', DIR_WS_INCLUDES . \'functions/\');' . "\n" .
                   '  define(\'DIR_WS_CLASSES\', DIR_WS_INCLUDES . \'classes/\');' . "\n" .
                   '  define(\'DIR_WS_MODULES\', DIR_WS_INCLUDES . \'modules/\');' . "\n" .
                   '  define(\'DIR_WS_LANGUAGES\', DIR_WS_INCLUDES . \'languages/\');' . "\n" .
                   '  define(\'DIR_WS_CATALOG_LANGUAGES\', DIR_WS_CATALOG . \'includes/languages/\');' . "\n" .
                   '  define(\'DIR_FS_CATALOG_LANGUAGES\', DIR_FS_CATALOG . \'includes/languages/\');' . "\n" .
                   '  define(\'DIR_FS_CATALOG_IMAGES\', DIR_FS_CATALOG . \'images/\');' . "\n" .
                   '  define(\'DIR_FS_CATALOG_MODULES\', DIR_FS_CATALOG . \'includes/modules/\');' . "\n" .
                   '  define(\'DIR_FS_BACKUP\', DIR_FS_ADMIN . \'backups/\');' . "\n\n" .
                   '  define(\'DB_SERVER\', \'' . trim($HTTP_POST_VARS['DB_SERVER']) . '\');' . "\n" .
                   '  define(\'DB_SERVER_USERNAME\', \'' . trim($HTTP_POST_VARS['DB_SERVER_USERNAME']) . '\');' . "\n" .
                   '  define(\'DB_SERVER_PASSWORD\', \'' . trim($HTTP_POST_VARS['DB_SERVER_PASSWORD']) . '\');' . "\n" .
                   '  define(\'DB_DATABASE\', \'' . trim($HTTP_POST_VARS['DB_DATABASE']) . '\');' . "\n" .
                   '  define(\'USE_PCONNECT\', \'false\');' . "\n" .
                   '  define(\'STORE_SESSIONS\', \'mysql\');' . "\n" .
                   '?>';

  $fp = fopen($dir_fs_document_root . 'admin/includes/configure.php', 'w');
  fputs($fp, $file_contents);
  fclose($fp);
 
// vyoufinder chmod to 0444 via ftp begin 

$ftp_server=trim($HTTP_POST_VARS['FTP_SERVER']);

$ftp_user_name=trim($HTTP_POST_VARS['FTP_USER']);
$ftp_user_pass=trim($HTTP_POST_VARS['FTP_PASS']);

$file = $dir_fs_document_root . 'includes/configure.php';
$adminfile = $dir_fs_document_root . 'admin/includes/configure.php';
// folder that need chmodding:
$folder1 = $dir_fs_document_root . 'pub';
$folder2 = $dir_fs_document_root . 'temp';
$folder3 = $dir_fs_document_root . 'images';
$folder4 = $dir_fs_document_root . 'download';
$folder5 = $dir_fs_document_root . 'admin/backups';
$folder6 = $dir_fs_document_root . 'admin/images/graphs';

// files that need chmodding
$filechng1 = $dir_fs_document_root . 'includes/languages/english/define_mainpage.php';
$filechng2 = $dir_fs_document_root . 'includes/languages/english/header_tags.php';
$filechng3 = $dir_fs_document_root . 'includes/languages/espanol/define_mainpage.php';
$filechng4 = $dir_fs_document_root . 'includes/languages/espanol/header_tags.php';
$filechng5 = $dir_fs_document_root . 'includes/languages/german/define_mainpage.php';
$filechng6 = $dir_fs_document_root . 'includes/languages/german/header_tags.php';

// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// try to chmod $file to 444


if (ftp_chmod($conn_id, 0444, $file) !== false) {
echo "<p><i>After writing to the configuration files</i>, permissions were correctly set to 444 via ftp on:</p>";


  
echo "<ul><li>$file</li>";
} else {

echo "<ul><li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 444 on: <strong>$file</strong></li>";
}


 if (ftp_chmod($conn_id, 0444, $adminfile) !== false) {
echo "<li>$adminfile</li></ul>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 444 on: <strong>$adminfile</strong></li></ul>";
}



if (ftp_chmod($conn_id, 0755, $filechng1) !== false) {
echo "<p><i>After writing to the configuration files</i>, permissions were correctly set to 755 via ftp on:
  
  <ul><li>$filechng1</li>";
} else {
echo "<ul><li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$filechng1</strong></li>";
}


 if (ftp_chmod($conn_id, 0755, $filechng2) !== false) {
echo "<li>$filechng2</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$filechng2</strong></li>";
}


 if (ftp_chmod($conn_id, 0755, $filechng3) !== false) {
echo "<li>$filechng3</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$filechng3</strong></li>";
}


 if (ftp_chmod($conn_id, 0755, $filechng4) !== false) {
echo "<li>$filechng4</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$filechng4</strong></li>";
}



 if (ftp_chmod($conn_id, 0755, $filechng5) !== false) {
echo "<li>$filechng5</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$filechng5</strong></li>";
}



 if (ftp_chmod($conn_id, 0755, $filechng6) !== false) {
echo "<li>$filechng6</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$filechng6</strong></li>";
}

// folders



 if (ftp_chmod($conn_id, 0755, $folder1) !== false) {
echo "<li>$folder1</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$folder1</strong></li>";
}

 if (ftp_chmod($conn_id, 0755, $folder2) !== false) {
echo "<li>$folder2</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$folder2</strong></li>";
}

 if (ftp_chmod($conn_id, 0755, $folder3) !== false) {
echo "<li>$folder3</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$folder3</strong></li>";
}

 if (ftp_chmod($conn_id, 0755, $folder4) !== false) {
echo "<li>$folder4</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$folder4</strong></li>";
}

 if (ftp_chmod($conn_id, 0755, $folder5) !== false) {
echo "<li>$folder5</li>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$folder5</strong></li>";
}

 if (ftp_chmod($conn_id, 0755, $folder6) !== false) {
echo "<li>$folder6</li>";
echo "</ul>";
} else {
echo "<li><font color=\"#EF0303\"><strong>Warning: </font></strong>Failed to set permissions to 755 on: <strong>$folder6</strong></li>";

echo "</ul>";
 echo "<P><font color=\"#000099\"><strong>Solution: </strong></font><font color=\"#000000\">Check your ftp server and login information and try again or you can choose to set permissions on the above listed files using an ftp client's chmod function or other file management tool.</font></P>

";



}

// close the connection
ftp_close($conn_id);

// vyoufinder chmod to 0444 via ftp finished

?>
 	    <P><font color="#EF0303"><strong>Important: Be sure to delete the entire install folder at <?PHP echo $dir_fs_document_root . 'install/'; ?> as leaving it poses a security risk.</strong></font></P>



	  <br>
    <strong>Installation completed successfully.  Links to your catalog and Control Panel are below.</strong></p><BR>
<BR>

    <table border="0" width="90%" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center" width="50%"><a href="<?php echo $http_server . $http_catalog . 'index.php'; ?>" target="_blank"><img src="images/button_catalog.gif" border="0" alt="Catalog" /></a></td>
        <td align="center" width="50%"><a href="<?php echo $http_server . $http_catalog . 'admin/index.php'; ?>" target="_blank"><img src="images/button_administration_tool.gif" border="0" alt="Administration Control Panel" /></a></td>
      </tr>
    </table>
  </div>
</div>