<?php

$recipient = "sales@vyoufinder.com";

//-------------------------------------
//Everything below this line is optional
//-------------------------------------

//-------------------------------------
//Set website to www.yoursite.com
//This will give added security to the script
//But it is optional
//-------------------------------------
$website = "www.vyoufinder.com";
//-------------------------------------
//Set testing to zero for normal operation
//Set to one for testing
//-------------------------------------
$testing = 0;

//-------------------------------------
//$subject determines the subject on 
//notification email
//-------------------------------------
$subject = "Message from your website $website";

//-------------------------------------
/*redirect determines the page where visitors go
after submitting form
feel free to change to thanks.htm or whatever you want
but file must exist
Or leave it as is... blank 
Can be "/thanks.htm/" or 
"http://www.yoursite.com/whatever/thanks.php"
Either format works fine*/
//-------------------------------------
if ($redirect == "")
{
$redirect = "http://www.vyoufinder.com/";
}
//-------------------------------------
/* banned emails, these will be email addresses of people
who are blocked from using the script (requested) */
//-------------------------------------
$banlist = array ('*@somedomain.com', 'user@domain.com', 'etc@domains.com');

//-------------------------------------
/* leave blank if you don't have a header file */
/* example: $header_file = "/folder/header.php"; */
//-------------------------------------
$header_file = "";

//-------------------------------------
/* leave blank if you don't have a footer file */
/* example: $footer_file = "/folder/footer.php"; */
//-------------------------------------
$footer_file = "";

//-------------------------------------
/*leave blank if you don't have a css file */
/* example: $css_file = "file.css";  */
//-------------------------------------
$css_file = "";

//-------------------------------------
/*This pipe delimited list determines which
files you will accept as attachments
if your form is set up to take attachments
Reccomended that you leave as is.*/
//-------------------------------------
$banned_ext="php|phtml|cgi|pl|asp|jsp|c|cfm|shtml|exe|bat|com|";

//-------------------------------------
/*$max_size determines the max file size of
files you will accept as attachments
if your form is set up to take attachments
Reccomended that you leave as is.*/
//-------------------------------------
$max_size=500;//Max size of file in Kilobytes

//-------------------------------------
/*$missing_fields_redirect should be left alone
unless you want to redirect users to a different 
page if they fill out the form incorrectly.
Recommended to leave as is.*/
//-------------------------------------
$missing_fields_redirect = "";//optional error page for missing fields.  Leave blank if unsure

//-------------------------------------
/*$env_report sends info on the user's IP and browser
Send environment variables 1=on  0=off*/
//-------------------------------------
$env_report = 0;

//-------------------------------------
/*Autoresponder... Send instant replies!*/
//-------------------------------------
//To turn on, set $autoresponder = 1;
//-------------------------------------
$autoresponder = 1;

//-------------------------------------
/*To change the From in the reply just change
"contact@" to "whatever@"
Example: "sales@" or "mail@"
//-------------------------------------*/

$auto_from = str_replace("www.", "sales@", $_SERVER['HTTP_HOST']);

//-------------------------------------
/*
To edit content of reply, edit $auto_content
Be sure to keep the same format given
Just change what's inside quotations.
Important... if you are using " or ' in your message
Then you need to proceed it with \
Example: 
$auto_content .= "Welcome to Bob\'s Petshop. Where we say \"Nobody Beats Our Prices\".";
*/
//-------------------------------------	

if($first_name != "")
{
$auto_content = "$first_name,
";
}
$auto_subject = "Thank you for contacting me";

$auto_content .= "Your message has been received and I'll get back to you shortly.\r\n";
$auto_content .= "\r\n

";/* Line breaks made by r\n\ */
$auto_content .= "\r\n

";
$auto_content .= "Thanks for visiting $website.";

//-------------------------------------
/*Please do the right thing and provide a link
back to http://www.surefirewebdesign.com
Thank you.
*/
//-------------------------------------

//-------------------------------------
//do NOT change this variable
//-------------------------------------
$configured = 1;

//-------------------------------------
//END of configuration... here's the code
//-------------------------------------

//-------------------------------------
//First, set error reporting to NONE
//If you want ALL errors, change 0 to E_ALL
//-------------------------------------
error_reporting(0);

if($website != "")
{
$referers[0] = $website; 
}

//checkfile function
function checkfileatt($fname,$fsize){
  global $max_size;
  global $banned_ext;
  $err="No file attached";
  //Checking file type in or out of banned file extensions list
    $pos1=strrchr($fname,".");
    $ftype=str_replace(".","",$pos1);
    $blist=explode("|",$banned_ext);
    for($i=0;$i<sizeof($blist)-1;$i++){
      if($ftype==$blist[$i]) $err="ERROR: Your file extension (<b>*.$ftype</b>) is not be accepted.";
    }
  //Check file size
    if(round($fsize/1024)>$max_size) $err="ERROR: Your file size (<b>" .round($fsize/1024) ."</b> Kb) is too large. We only accept <b>$max_size</b> Kb.";
  //Return the value
  return $err;
}



//error handling function...
function print_error($reason,$type = 0) {
global $version;
global $header_file;
global $footer_file;
global $testing;
global $post_info;
global $key;
global $val;
global $HTTP_POST_VARS;
global $recipient;


// for missing required data
if ($type == "missing") {
if(IsSet($header_file))
{
include $_SERVER['DOCUMENT_ROOT']."$header_file"; 
}
else
{
print("$banned_ext");
build_body($title, $bgcolor, $text_color, $link_color, $vlink_color, $alink_color, $style_sheet);
}
if($testing == 1)
{
print("<h1>Your form is in test mode.</h1>\n");
echo "<p>To turn off test mode, you need to change your config file.";
}
?>

<p>&nbsp;</p>
<h2>The form was not submitted for the following reasons:</h2>
<ul>
  <?php
print("$reason.\n");
?>
</ul>
<p>Please use your browser's back button to return to the form and try again.</p>
<?php

if($testing == 1)
{
$post_info = $HTTP_POST_VARS;
print("Here are the post variables:<br><br>");
foreach($post_info as $key=>$val)
{
print("$key: $val<br>");
}
print("<br>And the email would have been sent to: $recipient"); 
}

} else 
{ 
// every other error
if(IsSet($header_file))
{
include $_SERVER['DOCUMENT_ROOT']."$header_file"; 
}
else
{
build_body($title, $bgcolor, $text_color, $link_color, $vlink_color, $alink_color, $style_sheet);
}
?>
<h2>The form was not submitted because of the following reasons:</h2>
<?php
}
print("<br><br>\n");
//echo "<small>This form is powered by <a href=\"http://www.lumbroso.com/scripts/\">Jack's Formmail.php $version!/a></small>\n\n";
if(IsSet($footer_file))
{
include $_SERVER['DOCUMENT_ROOT']."$footer_file"; 
}
else
{
print("</body></html>");
}
exit; 

}// end error handling function

// function to check the banlist
function check_banlist($banlist, $email) {
if (count($banlist)) {
$allow = true;
foreach($banlist as $banned) {
$temp = explode("@", $banned);
if ($temp[0] == "*") {
$temp2 = explode("@", $email);
if (trim(strtolower($temp2[1])) == trim(strtolower($temp[1])))
$allow = false;
} else {
if (trim(strtolower($email)) == trim(strtolower($banned)))
$allow = false;
}
}
}
if (!$allow) {
print_error("You are using from a <b>banned email address.</b>");
}
}//end check_banlist function

// function to check the referer for security reasons.
function check_referer($referers) {
if (count($referers)) {
$found = false;
$temp = explode("/",getenv("HTTP_REFERER"));
$referer = $temp[2];
for ($x=0; $x < count($referers); $x++) {
if (eregi ($referers[$x], $referer)) {
$found = true;
}
}
if (!getenv("HTTP_REFERER"))
$found = false;
if (!$found){
print_error("You are coming from an <b>unauthorized domain.</b>");
error_log("[FormMail.php] Illegal Referer. (".getenv("HTTP_REFERER").")", 0);
}
return $found;
} else {
return true; // not a good idea, if empty, it will allow it.
}
}
if ($referers)
check_referer($referers);

if ($banlist)
check_banlist($banlist, $email);

// parse the form and create the content string which we will send
function parse_form($array) {
// build reserved keyword array
//Anything put in here will not show up in your email when form is processed
$reserved_keys[] = "MAX_FILE_SIZE";
$reserved_keys[] = "required";
$reserved_keys[] = "redirect";
$reserved_keys[] = "email";
$reserved_keys[] = "require";
$reserved_keys[] = "path_to_file";
$reserved_keys[] = "recipient";
$reserved_keys[] = "subject";
$reserved_keys[] = "bgcolor";
$reserved_keys[] = "text_color";
$reserved_keys[] = "link_color";
$reserved_keys[] = "vlink_color";
$reserved_keys[] = "alink_color";
$reserved_keys[] = "title";
$reserved_keys[] = "missing_fields_redirect";
$reserved_keys[] = "env_report";
$reserved_keys[] = "Submit";
$reserved_keys[] = "submit";


if (count($array)) {
while (list($key, $val) = each($array)) {
// exclude reserved keywords
$reserved_violation = 0;
for ($ri=0; $ri<count($reserved_keys); $ri++) {
if ($key == $reserved_keys[$ri]) {
$reserved_violation = 1;
}
}

// prepare content
if ($reserved_violation != 1) {
if (is_array($val)) {
for ($z=0; $z<count($val); $z++) {
$nn=$z+1;
$content .= "$key #$nn: $val[$z]\n";
}

} 
else
{
if($val == "")
{
}
else {
$content .= "$key: $val\n";
}
}
}
}
return $content;
}
}


//replace line breaks with <br>
//This is to format the html email we're about to send to you
function formathtml($text){
  $text=stripslashes($text);
  $text=str_replace("\r\n","<BR>",$text);
  $text=str_replace("\n","<BR>",$text);
return $text;
}

// take in the body building arguments and build the body tag for page display
function build_body($title, $bgcolor, $text_color, $link_color, $vlink_color, $alink_color, $style_sheet) {
if ($style_sheet)
echo "<LINK rel=STYLESHEET href=\"$style_sheet\" Type=\"text/css\">\n";
if ($title)
echo "<title>$title</title>\n";
if (!$bgcolor)
$bgcolor = "#FFFFFF";
if (!$text_color)
$text_color = "#000000";
if (!$link_color)
$link_color = "#0000FF";
if (!$vlink_color)
$vlink_color = "#FF0000";
if (!$alink_color)
$alink_color = "#000088";
if ($background)
$background = "background=\"$background\"";
echo "<body bgcolor=\"$bgcolor\" text=\"$text_color\" link=\"$link_color\" vlink=\"$vlink_color\" alink=\"$alink_color\" $background>\n\n";
}

// check for a recipient email address and check the validity of it
$recipient_in = split(',',$recipient);
for ($i=0;$i<count($recipient_in);$i++) {
$recipient_to_test = trim($recipient_in[$i]);

//if (!eregi("^[_\\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\\.)+[a-z]{2,3}$", $recipient_to_test)) {
if (!eregi ("^([a-z0-9_]|\\-|\\.)+@(([a-z0-9_]|\\-)+\\.)+[a-z]{2,4}$", $recipient_to_test)) {
print_error("<b>I NEED VALID RECIPIENT EMAIL ADDRESS ($recipient_to_test) TO CONTINUE</b>");
}
}



/*Anything in your form that you want the user to be forced to fill out
Put a hidden tag in your form that is a comma separated list of items
You want your visitor to have to fill out
Email definitely should be required */
if ($required)

$require = $required;
// handle the required fields
if ($require) {
// seperate at the commas
$require = ereg_replace( " +", "", $require);
$required = split(",",$require);
for ($i=0;$i<count($required);$i++) {
$string = trim($required[$i]);
// check if they exsist
if((!(${$string})) || (!(${$string}))) {
// if the missing_fields_redirect option is on: redirect them
if ($missing_fields_redirect) {
header ("Location: $missing_fields_redirect");
exit;
}
$require;
$missing_field_list .= "<b>Missing: $required[$i]</b><br>\n";
}
}
// send error to our mighty error function
if ($missing_field_list)
print_error($missing_field_list,"missing");
}

// check the email fields for validity
if (($email) || ($EMAIL)) {
$email = trim($email);
if ($EMAIL)
$email = trim($EMAIL);
if (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,3}$", $email)) {
print_error("your <b>email address</b> is invalid");
}
$EMAIL = $email;
}

// check zipcodes for validity
if (($ZIP_CODE) || ($zip_code)) {
$zip_code = trim($zip_code);
if ($ZIP_CODE)
$zip_code = trim($ZIP_CODE);
if (!ereg("(^[0-9]{5})-([0-9]{4}$)", trim($zip_code)) && (!ereg("^[a-zA-Z][0-9][a-zA-Z][[:space:]][0-9][a-zA-Z][0-9]$", trim($zip_code))) && (!ereg("(^[0-9]{5})", trim($zip_code)))) {
print_error("your <b>zip/postal code</b> is invalid");
}
}

// check phone for validity
if (($PHONE_NO) || ($phone_no)) {
$phone_no = trim($phone_no);
if ($PHONE_NO)
$phone_no = trim($PHONE_NO);
if (!ereg("(^(.*)[0-9]{3})(.*)([0-9]{3})(.*)([0-9]{4}$)", $phone_no)) {
print_error("your <b>phone number</b> is invalid");
}
}

// check phone for validity
if (($FAX_NO) || ($fax_no)) {
$fax_no = trim($fax_no);
if ($FAX_NO)
$fax_no = trim($FAX_NO);
if (!ereg("(^(.*)[0-9]{3})(.*)([0-9]{3})(.*)([0-9]{4}$)", $fax_no)) {
print_error("your <b>fax number</b> is invalid");
}
}

// prepare the content
$content = parse_form($HTTP_POST_VARS);
/*
// check for a file if there is a file upload it
if ($file_name) {
if ($file_size > 0) {
if (!ereg("/$", $path_to_file))
$path_to_file = $path_to_file."/";
$location = $path_to_file.$file_name;
if (file_exists($path_to_file.$file_name))
$location .= ".new";
copy($file,$location);
unlink($file);
$content .= "Uploaded File: ".$location."\n";
}
}

// second file.
if ($file2_name) {
if ($file_size > 0) {
if (!ereg("/$", $path_to_file))
$path_to_file = $path_to_file."/";
$location = $path_to_file.$file2_name;
if (file_exists($path_to_file.$file2_name))
$location .= ".new";
copy($file2,$location);
unlink($file2);
$content .= "Uploaded File: ".$location."\n";
}
}
*/
// if the env_report option is on: get eviromental variables
if ($env_report) {
$content .= "\n------ eviromental variables ------\n";
$content .= "REMOTE HOST: ".$_SERVER['REMOTE_HOST']."\n";
$content .= "REMOTE ADDR: ". $_SERVER['REMOTE_ADDR']."\n";
$content .= "BROWSER: ". $HTTP_USER_AGENT."\n";
}

if($testing == 1)
{
$email_message=formathtml($content);
?>
<h1>You are in testing mode</h1>
<p>Your email would have been successfully sent</p>
<p>To: <?php print $recipient; ?><br>
  Subject: <?php print $subject; ?><br>
  Message: <br>
  <?php print $email_message; ?></p>
<p>&nbsp;</p>
<?php
$post_info = $HTTP_POST_VARS;
print("Here are the post variables:<br><br>");
foreach($post_info as $key=>$val)
{

print("$key: $val<br>");
}
exit;
}
// if the subject option is not set: set the default
if (!$subject)
$subject = "Form submission";

//Start MIME email code
//This produces the html email and makes it possible to include an attachment
$real_email_message = $content;
                //BEGIN //----------------------------------------------
                      $email_message=formathtml($real_email_message);
                      $chked=0;
                      if ($upfile == "") $chked=1;
                      if (checkfileatt($upfile_name,$upfile_size)!="No file attached") $chked=1;
                      if($chked==0) {
                    	  copy($upfile, $upfile_name);
                        $fileatt=$upfile_name;
                        $fileatt_type=$upfile_type;
                        $fileatt_name=$upfile_name;
                        $file = fopen($fileatt,'rb');
                        $data = fread($file,filesize($fileatt));
                        fclose($file);
                      }
                      $headers = "From: ".$email;
					   //$headers = "From: ".$email_from;

                      $semi_rand = md5(time());
                      $mime_boundary = "==Multipart_Boundary_x{$semi_rand}x";

                      $headers .= "\nMIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\"";
                      $email_message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type:text/html; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $email_message . "\n\n";

                      $data = chunk_split(base64_encode($data));
if($chked == 0)
{
                      $email_message .= "--{$mime_boundary}\n" . "Content-Type: {$fileatt_type};\n" . " name=\"{$fileatt_name}\"\n" . "Content-Disposition: attachment;\n" . " filename=\"{$fileatt_name}\"\n" . "Content-Transfer-Encoding: base64\n\n" . $data . "\n\n" ."--{$mime_boundary}--\n";
}
else
{
/*    leave this line out              $email_message .= "--{$mime_boundary}\n" . "Content-Type: {$fileatt_type};\n" . " name=\"{$fileatt_name}\"\n" . "Content-Disposition: attachment;\n" . " filename=\"{$fileatt_name}\"\n" . "Content-Transfer-Encoding: base64\n\n" . $data . "\n\n" ."--{$mime_boundary}--\n";

*/
}
                      $sending_ok = @mail($recipient, $subject, $email_message, $headers);

                      if($chked==0) unlink($upfile_name);
//end MIME email code

//autoresponder message
if($autoresponder == 1)//Then we're sending the visitor a response immediately
{
if(!$auto_from)
{
$auto_from = explode(",", $recipient);
$auto_from = $auto_from[0];/*Uses the first email in your recipient list in the config file */
}
if($name)/*If you have a field labeled 'name' then we can personalize the email */
{
$auto_subject = $name . ", " . $auto_subject;
$auto_content = "Hello $name,\r\n\r\n" . $auto_content;
}
if($first_name)/*If you have a field labeled 'first_name' then we can personalize the email */
{
$auto_subject = $first_name . ", " . $auto_subject;
$auto_content = "Hello $first_name,\r\n\r\n" . $auto_content;
}
mail($email, $auto_subject, $auto_content, "From: $auto_from");
}

// if the redirect option is set: redirect them
if ($redirect) {
header ("Location: $redirect");
exit;
} else {
print "Thank you for your submission\n";
echo "<br><br>\n";
exit;
}

?>